package logrus.agents.dataSupervisionAgent;

import jade.content.onto.OntologyException;
import jade.core.AID;
import jade.domain.FIPAException;
import logrus.agents.OntoStorageAgent;
import logrus.agents.ServiceNames;
import logrus.agents.dataSupervisionAgent.behaviours.BootDataSupervisionAgent;
import logrus.agents.ontology.OntoStorageOntology;
import logrus.tools.logging.InitializeLoggerFailedException;

/**
 * 
 */
public class DataSupervisionAgent extends OntoStorageAgent
{
	private AID aidMA;

	private AID aidIA;

	private AID aidDBA;

	/**
	 * @throws InitializeLoggerFailedException
	 * @throws OntologyException
	 */
	public DataSupervisionAgent (AID aidMA, AID aidIA, AID aidDBA)
			throws InitializeLoggerFailedException, OntologyException
	{
		super();
		this.setAidDBA(aidDBA);
		this.setAidIA(aidIA);
		this.setAidMA(aidMA);
	}

	public void setup ()
	{
		this.addBehaviour(new BootDataSupervisionAgent(this));
		try
		{
			this.registerService(ServiceNames.ServiceDSA, OntoStorageOntology.ONTOLOGY_NAME);
		}
		catch (FIPAException exc)
		{
			this.logg("DSA couldn't register service",exc);
		}		
	}

	/**
	 * @param aidMA The aidMA to set.
	 */
	public void setAidMA (AID aidMA)
	{
		this.aidMA = aidMA;
	}

	/**
	 * @return Returns the aidMA.
	 */
	public AID getAidMA ()
	{
		return this.aidMA;
	}

	/**
	 * @param aidIA The aidIA to set.
	 */
	public void setAidIA (AID aidIA)
	{
		this.aidIA = aidIA;
	}

	/**
	 * @return Returns the aidIA.
	 */
	public AID getAidIA ()
	{
		return this.aidIA;
	}

	/**
	 * @param aidDBA The aidDBA to set.
	 */
	public void setAidDBA (AID aidDBA)
	{
		this.aidDBA = aidDBA;
	}

	/**
	 * @return Returns the aidDBA.
	 */
	public AID getAidDBA ()
	{
		return this.aidDBA;
	}	
}
