package logrus.agents.dataSupervisionAgent.behaviours;

import java.util.logging.Level;

import jade.core.Agent;
import jade.lang.acl.ACLMessage;
import logrus.agents.OSMessage;
import logrus.agents.base.behaviours.OSOneShotBehaviour;
import logrus.agents.base.exceptions.SendingMessageFailed;
import logrus.agents.dataSupervisionAgent.DataSupervisionAgent;

/**
 * 
 */
public class BootDataSupervisionAgent extends OSOneShotBehaviour
{
	private DataSupervisionAgent agentDS;
	
	/**
	 * @param a
	 */
	public BootDataSupervisionAgent (Agent a)
	{
		super(a);
		this.agentDS =(DataSupervisionAgent)a;
	}

	/* (non-Javadoc)
	 * @see jade.core.behaviours.Behaviour#action()
	 */
	public void action ()
	{
		// no special operation required so just send confirmation to MA
		OSMessage confMsg = new OSMessage (OSMessage.DSA_Boot_OK);
		try
		{
			this.osAgent.sendMessage(ACLMessage.INFORM,confMsg,this.agentDS.getAidMA());
			this.osAgent.logg(Level.INFO,"Booted DSA");
		}
		catch (SendingMessageFailed e)
		{
			this.osAgent.logg(Level.SEVERE,"Sending boot confirmation to MA failed: "+e);
			this.osAgent.doDelete();
		}		
		this.agentDS.addBehaviour(new ServiceDSABehaviour(this.agentDS));
	}
}
