package logrus.agents.dataSupervisionAgent.behaviours;

import jade.content.OntoACLMessage;
import jade.core.AID;
import jade.core.Agent;
import jade.lang.acl.MessageTemplate;
import logrus.agents.OSMessage;
import logrus.agents.OSMessageMatcher;
import logrus.agents.base.behaviours.OSCyclicBehaviour;
import logrus.agents.dataSupervisionAgent.DataSupervisionAgent;

public class ServiceDSABehaviour extends OSCyclicBehaviour
{
	// DSA agent reference
	private DataSupervisionAgent agentDSA;

	public ServiceDSABehaviour (Agent a)
	{
		super(a);
		this.agentDSA = (DataSupervisionAgent)a;
	}

	public void action ()
	{
		OSMessageMatcher matcher = new OSMessageMatcher(this.osAgent
				.getContentManager());
		matcher.addAcceptedMsgCode(OSMessage.DSA_Update);
		MessageTemplate pattern = new MessageTemplate(matcher);

		// recive message
		OntoACLMessage jmsg = (OntoACLMessage)this.osAgent.receive(pattern);
		if (jmsg != null)
		{
			// extract information form message
			AID aidClient = jmsg.getSender();
			String conversationID = jmsg.getConversationId();
			OSMessage msg = OSMessageMatcher.extractMessage(jmsg,this.osAgent
					.getContentManager());

			// check which operation is requested and perform it
			switch (msg.getMessageCode())
			{
				case OSMessage.DSA_Update:
					this.agentDSA.addBehaviour(new UpdateSupervisionBehaviour(
							this.agentDSA,conversationID));
					break;
			}
		}
		else
		{
			block();
		}
	}
}
