package logrus.agents.datasources;

import logrus.ontmodel.QuadsList;
import logrus.tools.XMLAnalysisException;

/**
 * Interface used for extracting restaurant proerties form web page
 */
public interface IPropertiesExtractor
{
	/**
	 * Extracts restaurant properteis
	 * 
	 * @param url
	 *           URL where web page with restaurant properties is located
	 * @return Set of RDF triples describing restaurant
	 * @throws XMLAnalysisException Error during validation
	 */
	public QuadsList extract (String url) throws WebpageParseException, XMLAnalysisException;
}
