package logrus.agents.datasources.chefmoz;


import jade.core.Agent;

import java.io.IOException;

import logrus.agents.datasources.AbsGetRestaurantPropertiesBehaviour;
import logrus.tools.web.WebUtils;

import org.xml.sax.SAXException;

/**
 * Behaviour responsible for extracting properties of restaurant of specifed
 * name from chefmoz
 */
public class ChefMozGetRestaurantPropertiesBehaviour extends
		AbsGetRestaurantPropertiesBehaviour
{
	public static final String urlPolandWarsawList = 
		"http://chefmoz.org/cgi-bin/city.pl?sort=3&sortType=3&num_results=50&start=0&cat=Poland%2FMA%2FWarsaw";

	/**
	 * @param a
	 */
	public ChefMozGetRestaurantPropertiesBehaviour (Agent a, String resName)
	{
		super(a,resName);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jade.core.behaviours.Behaviour#action()
	 */
	public void action ()
	{
		String listPage = null;

		try
		{
			// url of document with list of restaurants (probably)
			String urlList = ChefMozGetRestaurantPropertiesBehaviour.urlPolandWarsawList
					+"%2F"+this.resName.charAt(0)+"/";
			SelectRestaurantNodeVisitor visitor = new SelectRestaurantNodeVisitor(this.resName);
			if(WebUtils.getInstance().traverseHTMLDocument(urlList,visitor))
			{
				// link to the page with restaurant properties has been found
				System.out.println("Got link: "+visitor.getResult());
				String link = (String) visitor.getResult();
			}
			else
			{
				System.out.println("No link!");	
			}
		}
		catch (SAXException e)
		{
			System.out.println("SAXException");
			this.osAgent.onError(e);
			return;
		}
		catch (IOException e)
		{
			System.out.println("IOException");
			this.osAgent.onError(e);
			return;
		}
	}
}
