package logrus.agents.datasources.chefmoz;


import org.w3c.dom.Node;

import logrus.tools.web.visitors.NodeVisitor;

/**
 */
public class SelectRestaurantNodeVisitor extends NodeVisitor
{
	// link to the page with details about restaurant
	private String link;

	// name of the restaurant to be selected
	private String resName;

	/**
	 * @param resName
	 *           Name of the restaurant to be selected
	 */
	public SelectRestaurantNodeVisitor (String resName)
	{
		this.resName = resName;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitor#processNode(org.w3c.dom.Node)
	 */
	public boolean processNode (Node node)
	{
		if (node.getNodeName().compareTo("A")==0)
		{
			String linkCandidate = node.getAttributes().getNamedItem("href")
					.getNodeValue();
			if (linkCandidate!=null&&linkCandidate.indexOf(this.resName)!=-1)
			{
				this.link = linkCandidate;
				return true;
			}
		}
		return false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitor#getResult()
	 */
	public Object getResult ()
	{
		return this.link;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitor#getResult(java.lang.Object)
	 */
	public void setResult (Object result)
	{
		this.link = (String)result;
	}
}
