package logrus.agents.datasources.chefmoz.paragraphProcessors;

import logrus.agents.datasources.DataProviderID;
import logrus.ontmodel.Prefixes;
import logrus.ontmodel.QuadsList;
import logrus.ontmodel.restaurant.AcceptedPaymentMethods;

public class AcceptedPaymentParagraphProcessor extends ParagraphProcessor
{
	boolean wasCash;

	public AcceptedPaymentParagraphProcessor ()
	{
		super();
		this.wasCash = true;
		this.base = Prefixes.BaseMoneyURI;
	}

	public void process (String content, QuadsList results,
			String uriRestaurant)
	{
		this.standardProcess(content,results,uriRestaurant,Prefixes.RES_ACC,null,
				new String[] { "'", "-", "/" });
		if (!this.wasCash)
		{
			results.add(uriRestaurant,Prefixes.RES_ACC,
					AcceptedPaymentMethods.Cash,DataProviderID.CHEFMOZ);
		}
	}

	protected String additionalProcessing (String content)
	{
		if (content.compareTo("Cash") == 0)
		{
			this.wasCash = true;
			return content;
		}
		if (content.compareTo("DinersClub") == 0)
		{
			return "DinersClubCard";
		}
		if (content.compareTo("Visa") == 0)
		{
			return "VisaCard";
		}
		if (content.compareTo("AmericanExpress") == 0)
		{
			return "AmericanExpressCard";
		}
		if (content.compareTo("EnRoute") == 0)
		{
			return "EnRouteCard";
		}
		if (content.compareTo("JapanCreditBureau") == 0)
		{
			return "JapanCreditBureauCard";
		}
		if (content.compareTo("MasterCardEurocard") == 0)
		{
			return "MasterCardEuroCard";
		}
		return content;
	}

}
