package logrus.agents.datasources.wrapperAgent;

import jade.content.onto.OntologyException;
import jade.core.AID;
import logrus.agents.OntoStorageAgent;
import logrus.agents.datasources.wrapperAgent.behaviours.BootWrapperAgentBehaviour;
import logrus.tools.logging.InitializeLoggerFailedException;

/**
 * 
 */
public class WrapperAgent extends OntoStorageAgent
{
	// AID of SCA
	private AID aidSCA;

	/**
	 * @throws InitializeLoggerFailedException
	 * @throws OntologyException
	 */
	public WrapperAgent (AID aidSCA)
			throws InitializeLoggerFailedException, OntologyException
	{
		super();
		this.aidSCA = aidSCA;
	}
	
	public void setup ()
	{
		this.addBehaviour(new BootWrapperAgentBehaviour(this));
	}

	/**
	 * @param aidSCA
	 *           The aidSCA to set.
	 */
	public void setAidSCA (AID aidSCA)
	{
		this.aidSCA = aidSCA;
	}

	/**
	 * @return Returns the aidSCA.
	 */
	public AID getAidSCA ()
	{
		return this.aidSCA;
	}
	
	public String getWANumber()
	{
		String aNumber = this.getName();
		return aNumber.substring(13,aNumber.indexOf('@'));
	}
}
