package logrus.agents.datasources.wrapperAgent.behaviours;

import jade.core.Agent;
import jade.lang.acl.ACLMessage;

import java.util.logging.Level;

import logrus.agents.OSMessage;
import logrus.agents.base.behaviours.OSOneShotBehaviour;
import logrus.agents.base.exceptions.SendingMessageFailed;
import logrus.agents.datasources.wrapperAgent.WrapperAgent;

public class BootWrapperAgentBehaviour extends OSOneShotBehaviour
{
	private WrapperAgent agentWA;

	public BootWrapperAgentBehaviour (Agent a)
	{
		super(a);
		this.agentWA = (WrapperAgent)a;
	}

	public void action ()
	{
		// just send confiramtion to SCA
		OSMessage confMsg = new OSMessage(OSMessage.WA_Boot_OK);
		try
		{
			this.osAgent.sendMessage(ACLMessage.INFORM,confMsg,this.agentWA
					.getAidSCA());
			String aNumber = this.agentWA.getWANumber();
			this.osAgent.logg(Level.INFO,"WA number "+aNumber+" booted");
			this.osAgent.addBehaviour(new ServiceWABehaviour(this.osAgent));
		}
		catch (SendingMessageFailed e)
		{
			this.osAgent.logg(Level.SEVERE,
					"Sending boot confirmation to SCA failed: " + e);
			this.osAgent.doDelete();
		}
	}
}
