package logrus.agents.gui.mainDialogAgent;

import logrus.agents.gui.IGUIAgent;

public interface MainDialogAgentExternal extends IGUIAgent
{
	/**
	 * Boot OntoStorage system
	 * 
	 * @param databaseName
	 *           Name of the database that should be loaded
	 */
	public void bootSystem (String databaseName);

	/**
	 * Send crawl command to MA
	 * 
	 * @param providerID
	 *           Provider that should be used for crawling
	 * @param link
	 *           URL of start page to crawl
	 */
	public void sendCrawlMessage (String providerID, String link, int options);
	
	/**
	 * Save JENA model to a RDF file specified by <code>path</code> 
	 * @param path Path to the file where RDF representation of JENA model should be saved
	 */
	public void saveModel (String path);
	
	/**
	 * Send request to DBA for building information about model 
	 * @param ontClass Ontological class determinig objects we're interested in
	 */
	public void sendBuildReportRequest (String ontClass);
	
	/**
	 * Send request for initiating update process 
	 */
	public void sendUpdateRequest ();	
}
