package logrus.agents.indexingAgent;

import jade.core.AID;
import logrus.ontmodel.QuadsList;

/**
 * Represents atomic indexing task
 */
public class IndexingTask
{
	public static final int InsertUpdateSingle = 1;
	
	// type of indexing to be performed
	private int type;
	
	// description of object that should be included
	private QuadsList objIncl;
	
	// AID of agent to which reply should be sent
	private AID replyTo;
	
	// ID for conversation process
	private String conversationID;
	
	/**
	 * 
	 */
	public IndexingTask (int type, AID replyTo, String conversationID)
	{
		super();
		this .type = type;
		this.replyTo = replyTo;
		this.conversationID = conversationID;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType (int type)
	{
		this.type = type;
	}

	/**
	 * @return Returns the type.
	 */
	public int getType ()
	{
		return this.type;
	}

	/**
	 * @param objIncl The objIncl to set.
	 */
	public void setObjIncl (QuadsList objIncl)
	{
		this.objIncl = objIncl;
	}

	/**
	 * @return Returns the objIncl.
	 */
	public QuadsList getObjIncl ()
	{
		return this.objIncl;
	}

	/**
	 * @param replyTo The replyTo to set.
	 */
	public void setReplyTo (AID replyTo)
	{
		this.replyTo = replyTo;
	}

	/**
	 * @return Returns the replyTo.
	 */
	public AID getReplyTo ()
	{
		return this.replyTo;
	}

	/**
	 * @param conversationID The conversationID to set.
	 */
	public void setConversationID (String conversationID)
	{
		this.conversationID = conversationID;
	}

	/**
	 * @return Returns the conversationID.
	 */
	public String getConversationID ()
	{
		return this.conversationID;
	}
}
