package logrus.agents.indexingAgent.behaviours;

import java.util.logging.Level;

import jade.core.Agent;
import jade.lang.acl.ACLMessage;
import logrus.agents.OSMessage;
import logrus.agents.base.behaviours.OSOneShotBehaviour;
import logrus.agents.base.exceptions.SendingMessageFailed;
import logrus.agents.indexingAgent.IndexingAgent;

/**
 * 
 */
public class BootIndexingAgentBehaviour extends OSOneShotBehaviour
{
	private IndexingAgent agentIA;

	/**
	 * @param a
	 */
	public BootIndexingAgentBehaviour (Agent a)
	{
		super(a);
		this.agentIA = (IndexingAgent)a;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jade.core.behaviours.Behaviour#action()
	 */
	public void action ()
	{
		// no special operation required so just send confirmation to MA
		OSMessage confMsg = new OSMessage (OSMessage.IA_Boot_OK);
		try
		{
			this.osAgent.sendMessage(ACLMessage.INFORM,confMsg,this.agentIA.getAidMA());
			
			// add scheduler behaviour
			SchedulerBehaviour scheduler =  new SchedulerBehaviour(this.agentIA);
			this.agentIA.setTasksScheduler(scheduler);
			this.agentIA.addBehaviour(scheduler);
			
			// and add main service behaviour
			this.agentIA.addBehaviour(new ServiceIABehaviour(this.agentIA));
			this.osAgent.logg(Level.INFO,"Booted IA");
		}
		catch (SendingMessageFailed e)
		{
			this.osAgent.logg(Level.SEVERE,"Sending boot confirmation to MA failed: "+e);
			this.osAgent.doDelete();
		}
	}

}
