package logrus.agents.managerAgent;

import java.util.logging.Level;

import jade.content.onto.OntologyException;
import jade.core.AID;
import logrus.agents.OntoStorageAgent;
import logrus.agents.managerAgent.behaviours.BootMainSequenceBehaviour;
import logrus.tools.logging.InitializeLoggerFailedException;

/**
 * 
 */
public class ManagerAgent extends OntoStorageAgent
{
	// AID of GUI agent
	private AID aidGUIAgent = null;
	
	private AID aidDBA = null;
	
	private AID aidIA = null;	
	
	private AID aidDSA = null;
	
	private AID aidSCA = null;
	
	// Name of database 
	private String databaseName = null;
	
	/**
	 * @throws InitializeLoggerFailedException
	 * @throws OntologyException
	 */
	public ManagerAgent (AID aidGUIAgent,String databaseName) throws InitializeLoggerFailedException,
			OntologyException
	{
		super();
		this.setAidGUIAgent(aidGUIAgent);
		this.setDatabaseName(databaseName);
	}

	public void setup ()
	{
		this.logg(Level.INFO,"Manager agent booted");
		this.addBehaviour(new BootMainSequenceBehaviour(this,this.databaseName));
	}

	/**
	 * @param aidGUIAgent The aidGUIAgent to set.
	 */
	public void setAidGUIAgent (AID aidGUIAgent)
	{
		this.aidGUIAgent = aidGUIAgent;
	}

	/**
	 * @return Returns the aidGUIAgent.
	 */
	public AID getAidGUIAgent ()
	{
		return this.aidGUIAgent;
	}

	/**
	 * @param databaseName The databaseName to set.
	 */
	public void setDatabaseName (String databaseName)
	{
		this.databaseName = databaseName;
	}

	/**
	 * @return Returns the databaseName.
	 */
	public String getDatabaseName ()
	{
		return this.databaseName;
	}

	/**
	 * @param aidDBA The aidDBA to set.
	 */
	public void setAidDBA (AID aidDBA)
	{
		this.aidDBA = aidDBA;
	}

	/**
	 * @return Returns the aidDBA.
	 */
	public AID getAidDBA ()
	{
		return this.aidDBA;
	}

	/**
	 * @param aidIA The aidIA to set.
	 */
	public void setAidIA (AID aidIA)
	{
		this.aidIA = aidIA;
	}

	/**
	 * @return Returns the aidIA.
	 */
	public AID getAidIA ()
	{
		return this.aidIA;
	}

	/**
	 * @param aidDSA The aidDSA to set.
	 */
	public void setAidDSA (AID aidDSA)
	{
		this.aidDSA = aidDSA;
	}

	/**
	 * @return Returns the aidDSA.
	 */
	public AID getAidDSA ()
	{
		return this.aidDSA;
	}

	/**
	 * @param aidSCA The aidSCA to set.
	 */
	public void setAidSCA (AID aidSCA)
	{
		this.aidSCA = aidSCA;
	}

	/**
	 * @return Returns the aidSCA.
	 */
	public AID getAidSCA ()
	{
		return this.aidSCA;
	}		
}
