package logrus.agents.managerAgent.behaviours;

import jade.content.OntoACLMessage;
import jade.core.AID;
import jade.core.Agent;
import jade.lang.acl.MessageTemplate;
import logrus.agents.OSMessage;
import logrus.agents.OSMessageMatcher;
import logrus.agents.base.behaviours.OSCyclicBehaviour;
import logrus.agents.managerAgent.ManagerAgent;
import logrus.agents.searchCoordinatorAgent.SearchTask;

/**
 * Main MA behaviour serving requests
 */
public class ServiceMABehaviour extends OSCyclicBehaviour
{
	private ManagerAgent agentMA;

	/**
	 * @param a
	 */
	public ServiceMABehaviour (Agent a)
	{
		super(a);
		this.agentMA = (ManagerAgent)a;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jade.core.behaviours.Behaviour#action()
	 */
	public void action ()
	{
		// prepare accepted message templates
		OSMessageMatcher matcher = new OSMessageMatcher(this.osAgent
				.getContentManager());
		matcher.addAcceptedMsgCode(OSMessage.MA_Crawl_Request);
		MessageTemplate pattern = new MessageTemplate(matcher);

		// recive message
		OntoACLMessage jmsg = (OntoACLMessage)this.osAgent.receive(pattern);
		if (jmsg != null)
		{
			// extract information form message
			AID aidClient = jmsg.getSender();
			String conversationID = jmsg.getConversationId();
			OSMessage msg = OSMessageMatcher.extractMessage(jmsg,this.osAgent
					.getContentManager());

			// check which operation is requested and perform it
			switch (msg.getMessageCode())
			{
				case OSMessage.MA_Crawl_Request:
					this.onMA_Crawl_Request(msg.getSearchCommand(),conversationID,
							aidClient);
					break;
			}
		}
		else
		{
			// block behaviour
			block();
		}
	}

	/**
	 * Service MA_Crawl_Request message
	 */
	private void onMA_Crawl_Request (SearchTask task, String conversationID,
			AID aidClient)
	{
		this.agentMA.addBehaviour(new CrawlSupervisionBehaviour(this.agentMA,
				task,conversationID,aidClient));
	}
}
