package logrus.agents.ontology;

/**
 * Interface holding vocabulary of OntoStorage ontology.
 */
public interface OntoStorageVocabulary
{
	// NEW CONCEPTS

	public static final String OS_MESSAGE = "OSMessage";
	public static final String OS_MESSAGE_CODE = "messageCode";
	public static final String OS_MESSAGE_ANNOUNCEMENT = "announcement";
	public static final String OS_MESSAGE_QUAD_STATEMENT = "quadStatement";
	public static final String OS_MESSAGE_MULTIPLE_QUADS = "multipleQuads";
	public static final String OS_MESSAGE_OBJECTS_COLLECTION = "objectsCollection";
	public static final String OS_MESSAGE_SEARCH_TASK = "searchCommand";
	public static final String OS_MESSAGE_URI_COLLECTION = "uris";
	
	public static final String QUAD = "Quad";
	public static final String QUAD_SUBJECT = "subject";
	public static final String QUAD_PREDICATE = "predicate";
	public static final String QUAD_OBJECT = "object";
	public static final String QUAD_PROVIDER = "provider";
	
	public static final String QUADS = "QuadsList";
	public static final String QUADS_COLLECTION = "quadsCollection";
	
	public static final String SEARCH_TASK = "SearchTask";
	public static final String SEARCH_TASK_TYPE = "searchType";
	public static final String SEARCH_TASK_DATA_SOURCE = "dataSource";
	public static final String SEARCH_TASK_URL = "urlToParse";
	public static final String SEARCH_TASK_COMMAND_OPTIONS = "commandOptions";
	public static final String SEARCH_TASK_CONVERSATION_ID = "conversationID";
}
