package logrus.ontmodel;

import logrus.ontmodel.exceptions.OntPropertyNotFoundException;

/**
 * 
 */
public interface IObjectInfoSearcherByTag
{
	/**
	 * Search model <code>wrapper</code> for object matching <code>tag</code>
	 * 
	 * @param wrapper
	 *           Wrapper for JENA onotological model
	 * @param tag
	 *           Tag representing object's vital information
	 * @return List of quads describing object or null if searcher can't find object that matches
	 *         <code>tag</code>
	 * @throws OntPropertyNotFoundException 
	 */
	public QuadsList findObject (IOntModelWrapper wrapper, IObjectInfoTag tag) throws OntPropertyNotFoundException;
}
