package logrus.ontmodel;

public interface IObjectInfoTag
{
	/**
	 * Extracts object tag from <code>quads</code>
	 * 
	 * @param quads
	 *           Collection of quads describing some object
	 * @return Tag extracted from <code>quads</code>
	 */
	public IObjectInfoTag getTag (QuadsList quads);
	
	/**
	 * Check if this tag is complete (all fields set)
	 * 
	 * @return True if tag is complete, otherwise returns false.
	 */
	public boolean isComplete ();	
}
