package logrus.ontmodel;


public class ModelOperation
{
	// Action: add statement
	public static final int ADD = 1;
	
	// Action: remove statement
	public static final int REMOVE = 2;
	
	
	// action to be performed on model
	private int action;
	
	// statement and provider data
	private Quad data;

	
	public ModelOperation (int action, Quad data)
	{
		super();
		this.setAction(action);
		this.setData(data);
	}
	
	public String toString ()
	{
		StringBuffer buff = new StringBuffer();
		switch (this.action)
		{
			case ModelOperation.ADD:
				buff.append("ADD: ");
				break;
			case ModelOperation.REMOVE:
				buff.append("REMOVE: ");
				break;				
		}
		buff.append(this.data);
		return buff.toString();
	}


	/**
	 * @param action The action to set.
	 */
	public void setAction (int action)
	{
		this.action = action;
	}


	/**
	 * @return Returns the action.
	 */
	public int getAction ()
	{
		return this.action;
	}


	/**
	 * @param data The data to set.
	 */
	public void setData (Quad data)
	{
		this.data = data;
	}


	/**
	 * @return Returns the data.
	 */
	public Quad getData ()
	{
		return this.data;
	}
}
