package logrus.ontmodel;

import logrus.ontmodel.restaurant.tools.RestaurantTag;

/**
 * 
 */
public class ObjectInfoTagFactory
{
	private static ObjectInfoTagFactory instance;

	/**
	 * 
	 */
	private ObjectInfoTagFactory ()
	{
		super();
	}

	public static ObjectInfoTagFactory getInstance ()
	{
		if (ObjectInfoTagFactory.instance == null)
		{
			ObjectInfoTagFactory.instance = new ObjectInfoTagFactory();
		}
		return ObjectInfoTagFactory.instance;
	}

	/**
	 * Create appropriate instance of class implementing <code>IObjectInfoTag</code> matching
	 * ontological class <code>ontClass</code>
	 * 
	 * @param ontClass
	 *           Ontological class name
	 * @return Appropriate instance of class implementing <code>IObjectInfoTag</code> matching
	 *         ontological class <code>ontClass</code> or null if class is unknown
	 */
	public IObjectInfoTag createObjectInfoTag (String ontClass)
	{
		if (ontClass.compareTo(Prefixes.CLASS_RES) == 0)
		{
			return new RestaurantTag();
		}
		return null;
	}
}
