package logrus.ontmodel.randomization;

public class DataRandomizerFactory
{
	private static DataRandomizerFactory instance;

	private DataRandomizerFactory ()
	{
		super();
	}

	public static DataRandomizerFactory getInstance ()
	{
		if (DataRandomizerFactory.instance == null)
		{
			DataRandomizerFactory.instance = new DataRandomizerFactory();
		}
		return DataRandomizerFactory.instance;
	}

	/**
	 * Create object implementing <code>IDataRandomizer</code> matching ontological class
	 * <code>ontClass</code>
	 * 
	 * @param ontClass
	 *           Name of ontological class for which data randomizer should be created
	 * @return Object implementing <code>IDataRandomizer</code> matching ontological class
	 *         <code>ontClass</code>
	 */
	public IDataRandomizer createDataRandomizer (String ontClass)
	{
		return new RestaurantDataRandomizer();
	}
}
