package logrus.ontmodel.restaurant;

import jade.util.leap.ArrayList;
import logrus.ontmodel.Prefixes;

public class AlcoholCodes
{
	// list storing all alcohol codes
	private ArrayList types = null;

	private static AlcoholCodes instance;

	private AlcoholCodes ()
	{
		this.types = new ArrayList();
		this.types.add(AlcoholCodes.FullBar);
		this.types.add(AlcoholCodes.NoAlcoholServed);
		this.types.add(AlcoholCodes.Unknown);
		this.types.add(AlcoholCodes.WineBeer);
	}

	public static AlcoholCodes getInstance ()
	{
		if (AlcoholCodes.instance == null)
		{
			AlcoholCodes.instance = new AlcoholCodes();
		}
		return AlcoholCodes.instance;
	}

	/**
	 * Choose randomly one alcohol code from list
	 * 
	 * @return
	 */
	public String tossAlcohol ()
	{
		int idx = (int)Math.round(Math.random() * (this.types.size() - 1));
		return (String)this.types.get(idx);
	}

	public static final String FullBar = Prefixes.BaseRestaurantURI + "#FullBar";

	public static final String NoAlcoholServed = Prefixes.BaseRestaurantURI
			+ "#NoAlcoholServed";

	public static final String Unknown = Prefixes.BaseRestaurantURI + "#Unknown";

	public static final String WineBeer = Prefixes.BaseRestaurantURI
			+ "#WineBeer";
}
