package logrus.ontmodel.restaurant;

import jade.util.leap.ArrayList;
import logrus.ontmodel.Prefixes;

public class FeatureCodes
{
	// list storing all features
	private ArrayList features = null;

	private static FeatureCodes instance;

	private FeatureCodes ()
	{
		this.features = new ArrayList();
		this.features.add(FeatureCodes.AdultEntertainment);
		this.features.add(FeatureCodes.AirCondition);
		this.features.add(FeatureCodes.AllPurpose);
		this.features.add(FeatureCodes.BeerTasting);
		this.features.add(FeatureCodes.BeingYourOwnBeer);
		this.features.add(FeatureCodes.BeingYourOwnWine);
		this.features.add(FeatureCodes.Beverage);
		this.features.add(FeatureCodes.BrailleMenu);
		this.features.add(FeatureCodes.BreakfastBuffet);
		this.features.add(FeatureCodes.Brewery);
		this.features.add(FeatureCodes.Buffet);
		this.features.add(FeatureCodes.Cafe);
		this.features.add(FeatureCodes.Cafeteria);
		this.features.add(FeatureCodes.Casual);
		this.features.add(FeatureCodes.CertifiedKosher);
		this.features.add(FeatureCodes.Conservatory);
		this.features.add(FeatureCodes.Delivery);
		this.features.add(FeatureCodes.DinnerBuffet);
		this.features.add(FeatureCodes.DriveThrough);
		this.features.add(FeatureCodes.EnglishLanguageMenu);
		this.features.add(FeatureCodes.Entertainment);
		this.features.add(FeatureCodes.ExtensiveWineList);
		this.features.add(FeatureCodes.Family);
		this.features.add(FeatureCodes.FastFood);
		this.features.add(FeatureCodes.FineDining);
		this.features.add(FeatureCodes.Fireplace);
		this.features.add(FeatureCodes.FixedPriceMealsAtDinner);
		this.features.add(FeatureCodes.FixedPriceMealsAtLunch);
		this.features.add(FeatureCodes.Garden);
		this.features.add(FeatureCodes.Halal);
		this.features.add(FeatureCodes.InternetAccess);
		this.features.add(FeatureCodes.KidFriendly);
		this.features.add(FeatureCodes.KidsMenu);
		this.features.add(FeatureCodes.Kiosk);
		this.features.add(FeatureCodes.LargeGroupsOk);
		this.features.add(FeatureCodes.LargePrintMenu);
		this.features.add(FeatureCodes.LiveMusic);
		this.features.add(FeatureCodes.LunchBuffet);
		this.features.add(FeatureCodes.MinorsNotAllowed);
		this.features.add(FeatureCodes.NiceView);
		this.features.add(FeatureCodes.OffsiteCatering);
		this.features.add(FeatureCodes.OutdoorPatioDining);
		this.features.add(FeatureCodes.PhoneAheadSeating);
		this.features.add(FeatureCodes.PrivateParties);
		this.features.add(FeatureCodes.PrivateRoomAvailable);
		this.features.add(FeatureCodes.RegularCustomerCard);
		this.features.add(FeatureCodes.SaladBar);
		this.features.add(FeatureCodes.SenorMenu);
		this.features.add(FeatureCodes.SundayBrunch);
		this.features.add(FeatureCodes.Takeout);
		this.features.add(FeatureCodes.TastingMenu);
		this.features.add(FeatureCodes.Television);
		this.features.add(FeatureCodes.Upscale);
		this.features.add(FeatureCodes.VeganDishes);
		this.features.add(FeatureCodes.VeganMenu);
		this.features.add(FeatureCodes.VegetarianDishes);
		this.features.add(FeatureCodes.VegetarianMenu);
		this.features.add(FeatureCodes.WineList);
		this.features.add(FeatureCodes.Winery);
		this.features.add(FeatureCodes.WineTasting);
	}

	public static FeatureCodes getInstance ()
	{
		if (FeatureCodes.instance == null)
		{
			FeatureCodes.instance = new FeatureCodes();
		}
		return FeatureCodes.instance;
	}

	/**
	 * Choose randomly one feature from list
	 * @return
	 */
	public String tossFeature ()
	{
		int idx = (int)Math.round(Math.random() * (this.features.size() - 1));
		return (String)this.features.get(idx);
	}

	public static final String AdultEntertainment = Prefixes.BaseRestaurantURI
			+ "#AdultEntertainment";

	public static final String AirCondition = Prefixes.BaseRestaurantURI
			+ "#AirCondition";

	public static final String AllPurpose = Prefixes.BaseRestaurantURI
			+ "#AllPurpose";

	public static final String BeerTasting = Prefixes.BaseRestaurantURI
			+ "#BeerTasting";

	public static final String BeingYourOwnBeer = Prefixes.BaseRestaurantURI
			+ "#BeingYourOwnBeer";

	public static final String BeingYourOwnWine = Prefixes.BaseRestaurantURI
			+ "#BeingYourOwnWine";

	public static final String Beverage = Prefixes.BaseRestaurantURI
			+ "#Beverage";

	public static final String BrailleMenu = Prefixes.BaseRestaurantURI
			+ "#BrailleMenu";

	public static final String BreakfastBuffet = Prefixes.BaseRestaurantURI
			+ "#BreakfastBuffet";

	public static final String Brewery = Prefixes.BaseRestaurantURI + "#Brewery";

	public static final String Buffet = Prefixes.BaseRestaurantURI + "#Buffet";

	public static final String Cafe = Prefixes.BaseRestaurantURI + "#Cafe";

	public static final String Cafeteria = Prefixes.BaseRestaurantURI
			+ "#Cafeteria";

	public static final String Casual = Prefixes.BaseRestaurantURI + "#Casual";

	public static final String CertifiedKosher = Prefixes.BaseRestaurantURI
			+ "#CertifiedKosher";

	public static final String Conservatory = Prefixes.BaseRestaurantURI
			+ "#Conservatory";

	public static final String Delivery = Prefixes.BaseRestaurantURI
			+ "#Delivery";

	public static final String DinnerBuffet = Prefixes.BaseRestaurantURI
			+ "#DinnerBuffet";

	public static final String DriveThrough = Prefixes.BaseRestaurantURI
			+ "#DriveThrough";

	public static final String EnglishLanguageMenu = Prefixes.BaseRestaurantURI
			+ "#EnglishLanguageMenu";

	public static final String Entertainment = Prefixes.BaseRestaurantURI
			+ "#Entertainment";

	public static final String ExtensiveWineList = Prefixes.BaseRestaurantURI
			+ "#ExtensiveWineList";

	public static final String Family = Prefixes.BaseRestaurantURI + "#Family";

	public static final String FastFood = Prefixes.BaseRestaurantURI
			+ "#FastFood";

	public static final String FineDining = Prefixes.BaseRestaurantURI
			+ "#FineDining";

	public static final String Fireplace = Prefixes.BaseRestaurantURI
			+ "#Fireplace";

	public static final String FixedPriceMealsAtDinner = Prefixes.BaseRestaurantURI
			+ "#FixedPriceMealsAtDinner";

	public static final String FixedPriceMealsAtLunch = Prefixes.BaseRestaurantURI
			+ "#FixedPriceMealsAtLunch";

	public static final String Garden = Prefixes.BaseRestaurantURI + "#Garden";

	public static final String Halal = Prefixes.BaseRestaurantURI + "#Halal";

	public static final String InternetAccess = Prefixes.BaseRestaurantURI
			+ "#InternetAccess";

	public static final String KidFriendly = Prefixes.BaseRestaurantURI
			+ "#KidFriendly";

	public static final String KidsMenu = Prefixes.BaseRestaurantURI
			+ "#KidsMenu";

	public static final String Kiosk = Prefixes.BaseRestaurantURI + "#Kiosk";

	public static final String LargeGroupsOk = Prefixes.BaseRestaurantURI
			+ "#LargeGroupsOk";

	public static final String LargePrintMenu = Prefixes.BaseRestaurantURI
			+ "#LargePrintMenu";

	public static final String LiveMusic = Prefixes.BaseRestaurantURI
			+ "#LiveMuisc";

	public static final String LunchBuffet = Prefixes.BaseRestaurantURI
			+ "#LunchBuffet";

	public static final String MinorsNotAllowed = Prefixes.BaseRestaurantURI
			+ "#MinorsNotAllowed";

	public static final String NiceView = Prefixes.BaseRestaurantURI
			+ "#NiceView";

	public static final String OffsiteCatering = Prefixes.BaseRestaurantURI
			+ "#OffsiteCatering";

	public static final String OutdoorPatioDining = Prefixes.BaseRestaurantURI
			+ "#OutdoorPatioDining";

	public static final String PhoneAheadSeating = Prefixes.BaseRestaurantURI
			+ "#PhoneAheadSeating";

	public static final String PrivateParties = Prefixes.BaseRestaurantURI
			+ "#PrivateParties";

	public static final String PrivateRoomAvailable = Prefixes.BaseRestaurantURI
			+ "#PrivateRoomAvailable";

	public static final String RegularCustomerCard = Prefixes.BaseRestaurantURI
			+ "#RegularCustomerCard";

	public static final String SaladBar = Prefixes.BaseRestaurantURI
			+ "#SaladBar";

	public static final String SenorMenu = Prefixes.BaseRestaurantURI
			+ "#SenorMenu";

	public static final String SundayBrunch = Prefixes.BaseRestaurantURI
			+ "#SundayBrunch";

	public static final String Takeout = Prefixes.BaseRestaurantURI + "#Takeout";

	public static final String TastingMenu = Prefixes.BaseRestaurantURI
			+ "#TastingMenu";

	public static final String Upscale = Prefixes.BaseRestaurantURI + "#Upscale";

	public static final String VeganDishes = Prefixes.BaseRestaurantURI
			+ "#VeganDishes";

	public static final String VeganMenu = Prefixes.BaseRestaurantURI
			+ "#VeganMenu";

	public static final String VegetarianDishes = Prefixes.BaseRestaurantURI
			+ "#VegetarianDishes";

	public static final String VegetarianMenu = Prefixes.BaseRestaurantURI
			+ "#VegetarianMenu";

	public static final String WineList = Prefixes.BaseRestaurantURI
			+ "#WineList";

	public static final String WineTasting = Prefixes.BaseRestaurantURI
			+ "#WineTasting";

	public static final String Winery = Prefixes.BaseRestaurantURI + "#Winery";

	public static final String Television = Prefixes.BaseRestaurantURI
			+ "#Television";
}
