package logrus.ontmodel.restaurant;

import java.util.ArrayList;
import java.util.Iterator;


public class RestaurantEssentials
{
	private static RestaurantEssentials instance;
	
	private ArrayList essentials;

	
	private RestaurantEssentials ()
	{
		super();
		this.essentials = new ArrayList();
		this.essentials.add("http://www.agentlab.net/schemas/ontoStorage#SourceLink");
		this.essentials.add("http://www.agentlab.net/schemas/location#country");
		this.essentials.add("http://www.agentlab.net/schemas/location#city");
		this.essentials.add("http://www.agentlab.net/schemas/location#streetAddress");
		this.essentials.add("http://www.agentlab.net/schemas/location#zip");
		this.essentials.add("http://www.agentlab.net/schemas/restaurant#title");
		this.essentials.add("http://www.w3.org/1999/02/22-rdf-syntax-ns#type");
	}
	
	public static RestaurantEssentials getInstance ()
	{
		if (RestaurantEssentials.instance == null)
		{
			RestaurantEssentials.instance = new RestaurantEssentials();
		}
		return RestaurantEssentials.instance;
	}
	
	public boolean isOnList (String str)
	{
		for (Iterator iter = this.essentials.iterator(); iter.hasNext();)
		{
			String elem = (String)iter.next();
			if (elem.compareTo(str)==0)
			{
				return true;
			}
		}
		return false;
	}
}
