package logrus.ontmodel.restaurant.tools;

import logrus.ontmodel.IObjectInfoComparer;
import logrus.ontmodel.QuadsList;

/**
 * Performs checking if two quads lists represent the same restaurant
 */
public class RestaurantComparer implements IObjectInfoComparer
{

	/**
	 * 
	 */
	public RestaurantComparer ()
	{
		super();
	}

	public boolean isRepresentingSame (RestaurantTag tag1, RestaurantTag tag2)
	{
		// city must be identical
		if (tag1.getName().compareTo(tag2.getName()) != 0)
		{
			return false;
		}

		// city must be identical
		if (tag1.getCity().compareTo(tag2.getCity()) != 0)
		{
			return false;
		}

		// zip codes must be identical...
		if (tag1.getZipCode().compareTo(tag2.getZipCode()) != 0)
		{
			// ...unless street address is exactly identical
			if (tag1.getStreetAddress().compareTo(tag2.getStreetAddress()) == 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		// now everything depends on street address matching
		AddressMatcher addrMatcher = new AddressMatcher(new Boolean(true));
		return addrMatcher.match(tag1.getStreetAddress(),tag2.getStreetAddress());
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.ontmodel.IObjectInfoComparer#isSame(logrus.ontmodel.QuadsList,
	 *      logrus.ontmodel.QuadsList)
	 */
	public boolean isRepresentingSame (QuadsList info1, QuadsList info2)
	{
		RestaurantTag tag1 = (RestaurantTag)new RestaurantTag().getTag(info1);
		RestaurantTag tag2 = (RestaurantTag)new RestaurantTag().getTag(info2);
		return this.isRepresentingSame(tag1,tag2);
	}
}
