package logrus.ontmodel.validation;

public class ValidationRule
{
	// uri of property that this rule applies to
	private String property;
	
	// significance of this property (essential/required/optional)
	private int significance;
	
	// allowed plurality of this property (singular/multiple) 
	private int plurality;
	
	public ValidationRule (String uriProperty, String significance, String plurality)
	{
		super();
		this.setProperty(uriProperty);
		this.setSignificance(significance);
		this.setPlurality(plurality);
	}
	
	public ValidationRule (String uriProperty, int significance, int plurality)
	{
		super();
		this.setProperty(uriProperty);
		this.setSignificance(significance);
	}	

	/**
	 * @param property The property to set.
	 */
	public void setProperty (String uriProperty)
	{
		this.property = uriProperty;
	}

	/**
	 * @return Returns the property.
	 */
	public String getProperty ()
	{
		return this.property;
	}

	/**
	 * @param significance The significance to set.
	 */
	public void setSignificance (int significance)
	{
		this.significance = significance;
	}
	
	/**
	 * @param significance The significance to set.
	 */
	public void setSignificance (String significance)
	{
		if (significance.compareTo("optional")==0)
		{
			this.significance = Significance.Optional;
		}
		else if (significance.compareTo("essential")==0)
		{
			this.significance = Significance.Essential;
		}
		else if (significance.compareTo("required")==0)
		{
			this.significance = Significance.Required;
		}
	}	

	/**
	 * @return Returns the significance.
	 */
	public int getSignificance ()
	{
		return this.significance;
	}

	/**
	 * @param plurality The plurality to set.
	 */
	public void setPlurality (int plurality)
	{
		this.plurality = plurality;
	}
	
	/**
	 * @param plurality The plurality to set.
	 */
	public void setPlurality (String plurality)
	{
		if (plurality.compareTo("singular")==0)
		{
			this.plurality = Plurality.Singular;
		}
		else if (plurality.compareTo("multiple")==0)
		{
			this.plurality = Plurality.Multiple;
		}
	}	

	/**
	 * @return Returns the plurality.
	 */
	public int getPlurality ()
	{
		return this.plurality;
	}
}
