package logrus.tools.web.visitors;

import org.w3c.dom.Node;

/**
 * Abstract class used as a node visitor by WebUtils
 */
public abstract class NodeVisitor
{	
	/**
	 * Process HTML node
	 * @param node Node to be processed
	 * @return True if no further document processing is needed,
	 * otherwise returns false
	 */
	public abstract boolean processNode (Node node);
	
	/**
	 * 
	 * @return Result of HTML document traversing
	 */
	public abstract Object getResult();
	
	/**
	 * Remember result of browsing the document
	 * @param result Result to be remembered
	 */
	public abstract void setResult(Object result);
}
