/**
 * 
 */
package logrus.tools.web.visitors;

import logrus.tools.Utils;
import logrus.tools.web.WebUtils;

import org.w3c.dom.Node;

/**
 * 
 */
public class PrefixSearcherVisitor extends NodeVisitor
{
	// found node is assigned here
	private Node result;

	// tag for which we are searching for
	private String prefix;

	// tag causing end of search
	private String limitingTag;

	// flag determinig if end tag has been found instead of desired one
	private boolean foundLimitingTag;

	// Number of occurence to be found
	private int nth;

	// Occurencies found so far
	private int foundSoFar;

	/**
	 * 
	 */
	public PrefixSearcherVisitor (String prefix, String limitingTag, int n)
	{
		super();
		this.prefix = prefix;
		this.limitingTag = limitingTag;
		this.foundLimitingTag = false;
		this.nth = n;
		this.foundSoFar = 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.visitors.NodeVisitor#processNode(org.w3c.dom.Node)
	 */
	public boolean processNode (Node node)
	{
		if (this.limitingTag != null
				&& Utils.strIsEqual(node.getNodeName(),this.limitingTag))
		{
			this.foundLimitingTag = true;
			return true;
		}
		if (Utils.strIsEqual(node.getNodeName(),"#text")
				&& WebUtils.getInstance().extractTextNodeContent(node).trim()
						.startsWith(this.prefix))
		{
			if (++this.foundSoFar == this.nth)
			{
				this.result = node;
				return true;
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitor#getResult()
	 */
	public Object getResult ()
	{
		return this.result;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitor#setResult(java.lang.Object)
	 */
	public void setResult (Object result)
	{
		this.result = (Node)result;
	}
	
	/**
	 * @param foundLimitingTag The foundLimitingTag to set.
	 */
	public void setFoundLimitingTag (boolean foundLimitingTag)
	{
		this.foundLimitingTag = foundLimitingTag;
	}

	/**
	 * @return Returns the foundLimitingTag.
	 */
	public boolean isFoundLimitingTag ()
	{
		return this.foundLimitingTag;
	}	
}
