package logrus.tools.web.visitors;

import logrus.tools.Utils;

import org.w3c.dom.Node;

/**
 */
public class PrintVisitor extends NodeVisitorEx
{
	private StringBuffer result;

	private boolean printNodeName;

	public PrintVisitor (boolean printNodeName)
	{
		this.result = new StringBuffer();
		this.printNodeName = printNodeName;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitorEx#processNode(org.w3c.dom.Node, java.lang.Object)
	 */
	public boolean processNode (Node node, Object data)
	{
		String indentation = (String)data;
		if (this.printNodeName)
		{
			if (node.getNodeName().compareTo("#text") != 0)
			{
				System.out.println(indentation + "<"
						+ Utils.strNormString(node.getNodeName()) + ">");
			}
			else
			{
				String tmp = node.toString();
				tmp = tmp.substring(1,tmp.length() - 1).trim();
				if (tmp.compareTo("#text:") != 0)
				{
					System.out.println(indentation + tmp);
				}
			}
		}
		return false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitorEx#getResult()
	 */
	public Object getResult ()
	{
		return this.result.toString();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see logrus.tools.web.NodeVisitorEx#setResult(java.lang.Object)
	 */
	public void setResult (Object result)
	{
		this.result = (StringBuffer)result;
	}
}
