package tests;

import junit.framework.TestCase;

import logrus.agents.datasources.WebpageParseException;
import logrus.agents.datasources.restauracjecom.RestComPropertiesExtractor;
import logrus.ontmodel.QuadsList;
import logrus.ontmodel.restaurant.tools.RestaurantCleaner;
import logrus.ontmodel.restaurant.tools.RestaurantTag;
import logrus.tools.IdentifierGenerationFailedException;
import logrus.tools.IdentifierGenerator;


public class RestComPropertiesExtractorTest extends TestCase
{
	public void testExtract ()
	{
		String id = null; 
		try
		{
			id = IdentifierGenerator.getInstance().GenerateID();
		}
		catch (IdentifierGenerationFailedException e)
		{
			fail(e.toString());
		}
		RestComPropertiesExtractor extr = new RestComPropertiesExtractor(id);
		try
		{
			
			extr.extract_inner("http://www.restauracje.com/proste_szczegoly.php3?id=342");
			//extr.extract_inner("http://www.restauracje.com/proste_szczegoly.php3?id=2709");
			QuadsList quads = extr.getResult();
			
			System.out.println(quads);
			RestaurantCleaner.getInstance().cleanInfo(quads);
			System.out.println(quads);
			
			RestaurantTag tag = (RestaurantTag)new RestaurantTag().getTag(quads);
			
			
			//System.out.println(tag);
		}
		catch (WebpageParseException exc)
		{
			fail(exc.toString()); 
		}
//		catch (XMLAnalysisException exc)
//		{
//			fail(exc.toString());
//		}
	}
}
